close Warning: Failed to sync with repository "(default)": [Errno 12] Cannot allocate memory; repository information may be out of date. Look in the Trac log for more information including mitigation strategies.
Modify

#211 closed defect (duplicate)

Switchboard fails, invalid data printed

Reported by: toxik/evilgod Owned by: wilmer
Priority: normal Milestone:
Component: MSN Version: 1.0.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro: Gentoo Linux

Description

in ./protocols/msn/msn.c there is:

serv_got_crap( gc, "Warning: Closing down MSN 
connection with unsent message to %s, you'll 
have to resend it.", m->who );

All fine, but when this line triggers (which it does on unstable connections), m->who seems to be pointing to something entirely different - garbage, from what I can tell.

Attachments (0)

Change History (4)

comment:1 Changed at 2006-09-28T08:03:45Z by wilmer

Not all the time. I've seen the msg from time to time with valid handles in it. But indeed there seems to be a problem with switchboard management somewhere that causes this msg to look a bit strange sometimes.

I would really appreciate it if you could give me a traffic dump of this. I hardly use MSN, so I don't see these messages very often.

OS version/distro:  	Gentoo Linux

Hmm... What are your compiler flags? *whistles* :-P

comment:2 Changed at 2007-03-19T16:17:27Z by anonymous

same problem on windows. and it is always like that, i never saw this message with a valid handle.

comment:3 Changed at 2007-06-07T23:23:30Z by Ludvig Ericson <ludvig.ericson@…>

(I'm toxik)

I don't have compiler flags; I keep BitlBee out of portage so the compiler flags are what you specified :)

comment:4 Changed at 2008-01-05T22:08:26Z by wilmer

Resolution: duplicate
Status: newclosed

The garbage should be gone for a long time (I hope I added that fix to 1.0.4...), but the real problem is still there. Let's merge this bug with #218 now though, it's about the same problem.

Although the MSN servers seem to be doing better now, so this problem shouldn't show up that often anymore.

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.